Bug 589975 - RFE: virt-manager: allow setting cache mode for kvm/qemu disks
Summary: RFE: virt-manager: allow setting cache mode for kvm/qemu disks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 12:45 UTC by Tomasz Torcz
Modified: 2010-11-26 18:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-26 18:18:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomasz Torcz 2010-05-07 12:45:00 UTC
Description of problem:
On some filesystems (btrfs) default caching in qemu makes guest extremely slow. It could be improved greatly by changing caching to writeback mode. The cost of this change: degraded reliability in case of host crash.
Please provide drop-down list to change the mode in Disk details view in virt-manager.


Version-Release number of selected component (if applicable):
virt-manager-0.8.3-3.fc13.noarch
libvirt-0.7.7-3.fc13.x86_64


How reproducible:
Always.

Steps to Reproduce:
1. Go to disk properties.

  
Actual results:
No dropdown list for cache mode.


Expected results:
Cache mode: dropdown list with options "writethrough (default)", "writeback", "none (Direct_IO)".
Nb. I'm not sure if "none" really equals dio.


Additional info:

It is possible to manually edit guest .xml file to change caching mode. This change is retained by virt-manager and provides requested performance. Example:

# grep -C2 cache /etc/libvirt/qemu/scratch-F13-32b.xml
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='writeback'/>
      <source file='/mnt/storage_ST_250G/vms/scratch-F13-32b.img'/>
      <target dev='vda' bus='virtio'/>

the "cache='writeback'" part was added manually.

Comment 1 Cole Robinson 2010-05-27 21:15:04 UTC
This is upstream now:

http://hg.fedorahosted.org/hg/virt-manager/rev/0241648684d1

Comment 2 Tomasz Torcz 2010-11-26 18:18:52 UTC
Indeed, virt-manager in F14 contains cache mode selector.


Note You need to log in before you can comment on or make changes to this bug.